Subject: [PATCH 4/4] linux-libre: Enable the AMD HSA driver.

From: John Kehayias <[email-masked]>
Date: Mon, 27 Jun 2022 04:43:24 +0000

Hello,

I've attached a patch that should apply after the original patch series, enabling CONFIG_HSA_AMD for the x86_64 5.18 config. I checked only that linux-libre builds, but haven't tried a kernel I would normally used (modified from linux-libre). I could give that a shot later. I'm not entirely sure if I got the commit message format for this type of change correct, but hopefully is close.

I have been running for some time now this exact configuration change for a kernel based on linux-libre 5.17 though, with no ill effects I know of and successfully enabling OpenCL support on my hardware.

Let me know if you need anything else and thanks for taking a look!

John

From 4406233bbd4a091b78735d5a8bb9e80f9b75cc15 Mon Sep 17 00:00:00 2001
From: John Kehayias <[email-masked]>
Date: Mon, 27 Jun 2022 00:33:54 -0400
Subject: [PATCH] linux-libre: Enable the AMD HSA driver.

* gnu/packages/aux-files/linux-libre/5.18-x86_64.conf: Enable the AMD
Heterogeneous System Architecture (HSA) driver.
---
 gnu/packages/aux-files/linux-libre/5.18-x86_64.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/aux-files/linux-libre/5.18-x86_64.conf b/gnu/packages/aux-files/linux-libre/5.18-x86_64.conf
index 658e01187b..c8502e42c8 100644
--- a/gnu/packages/aux-files/linux-libre/5.18-x86_64.conf
+++ b/gnu/packages/aux-files/linux-libre/5.18-x86_64.conf
@@ -6687,7 +6687,7 @@ CONFIG_DRM_AMD_DC_DCN=y
 CONFIG_DRM_AMD_SECURE_DISPLAY=y
 # end of Display Engine Configuration
 
-# CONFIG_HSA_AMD is not set
+CONFIG_HSA_AMD=y
 CONFIG_DRM_NOUVEAU=m
 # CONFIG_NOUVEAU_LEGACY_CTX_SUPPORT is not set
 CONFIG_NOUVEAU_DEBUG=5
-- 
2.36.1